{
	saved_FirstTime[1]
	Init[() 
	{ 
		if(saved_FirstTime = 1)
		{
			saved_FirstTime = 0;
			PlayAnimation(7);
			SetNationality(1); 
			SetWander(0); 
			gun = Random(1,2); 
			switch(gun) 
			{ 
				case 1 { GiveWeapon(55); } 
				case 2 { GiveWeapon(56); } 
				case 3 { GiveWeapon(53); }
			}
			
			gunman=GetID();switch(gunman)
			{
				case "moe"
				{
					SetState_Patrol(0); SetAttackDistance(9, 2); SetLineOfSight(1,180);
				}
				case "larry"
				{
					SetState_Patrol(0); SetAttackDistance(9, 2); SetLineOfSight(1,180);
				}
				case "curly"
				{
					SetState_Patrol(0); SetAttackDistance(9, 2); SetLineOfSight(1,180);
				}	
			}
		}
	}]
	
	Charge2[()
	{
		guy = GetID(); switch(guy)
		{
			case "moe"
			{
				FollowPath("First_Wave_Begin"); FollowPathCallback(2, "GoPath");
			}
			case "curly"
			{
				FollowPath("First_Wave_Begin"); FollowPathCallback(2, "GoPath");
			}
			case "larry"
			{
				FollowPath("First_Wave_Begin"); FollowPathCallback(2, "GoPath");
			}
			case "ybu1"
			{
				FollowPath("Yard_Backup_1"); FollowPathCallback(127, "GoOnAlert");
			}
			case "ybu2"
			{
				FollowPath("Yard_Backup_2"); FollowPathCallback(127, "GoOnAlert");
			}
		}	
	}]	
	
	GoPath[()
	{
		guy = GetID(); switch(guy)
		{
			case "moe"
			{
				SetState_Patrol(0); SetAttackDistance(9, 2); SetLineOfSight(1,180);
				FollowPath("First_Wave_3",0); FollowPathCallback(127, "GoOnAlert");
			}
			case "curly"
			{
				SetState_Patrol(0); SetAttackDistance(9, 2); SetLineOfSight(1,180);
				FollowPath("First_Wave_1",0); FollowPathCallback(127, "GoOnAlert");
			}
			case "larry"
			{
				SetState_Patrol(0); SetAttackDistance(9, 2); SetLineOfSight(1,180);
				FollowPath("First_Wave_2",0); FollowPathCallback(127, "GoOnAlert");
			}
			case "sideguy"
			{
				FollowPath("SideWinder_1"); FollowPathCallback(127, "GoHunter");	
			}
			case "rusher"
			{
				FollowPath("LastTry"); FollowPathCallback(127, "GoOnAlert");	
			}
			case "frntatk"
			{
				FollowPath("FrontAssault"); FollowPathCallback(127, "GoOnAlert");	
			}
			case "sideatk"
			{
				FollowPath("SneakAttack"); FollowPathCallback(127, "GoOnAlert");	
			}	
		}	
	}]
	
	GoOnAlert[()
	{
		TurnToLocation(4595,15155); SetState_Patrol(0); SetAttackDistance(12, 2); SetLineOfSight(1,90);
	}]
	
	GoHunter[()
	{
		SetState_Patrol(0); SetAttackDistance(12, 2); SetLineOfSight(1,90);
	}]
	
	FaceFront[()
	{
		StopFollowingPath(); TurnToLocation(15616,36224);	
	}]
	
	GoDo[()
	{
		SetState_Patrol(0); SetAttackDistance(12, 4); SetLineOfSight(2,180);
	}]
}